Opened 4 years ago

Closed 3 months ago

#803 closed defect (worksforme)

dependencies issue on Debian 8

Reported by: Bruno Cornec Owned by: Bruno Cornec
Priority: normal Milestone: 3.3.0
Component: mondo Version: 3.2.2
Severity: normal Keywords:
Cc:

Description

Installing mondo withapt-get install on Debian 8 works, but there are dependencies lacking (some are mandatory, some nice to have)

Change History (2)

comment:1 Changed 3 years ago by Bruno Cornec

Milestone: 3.3.03.3.1
Status: newassigned

comment:2 Changed 3 months ago by Bruno Cornec

Milestone: 3.3.13.3.0
Resolution: worksforme
Status: assignedclosed

Try the following:

wget ftp://ftp.mondorescue.org/src/6BA8C2D220EBFB0E.pubkey
apt-key add 6BA8C2D220EBFB0E.pubkey
rm -f 6BA8C2D220EBFB0E.pubkey
apt-get update

After that install works:

apt-get install mondo
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  afio binutils bsd-mailx buffer bzip2 cpio cron dosfstools dvd+rw-tools exim4-base exim4-config exim4-daemon-light file gawk genisoimage growisofs init-system-helpers kmod libbsd0 libbz2-1.0 libfribidi0 libio-interface-perl liblockfile-bin
  liblockfile1 liblzo2-2 libmagic1 libmodule-scandeps-perl libmondorescue-perl libmpfr4 libnewt0.52 libparted2 libprojectbuilder-perl libsigsegv2 lzop mdadm mindi mindi-busybox module-init-tools mtools nano parted psmisc syslinux syslinux-common
  wodim
Suggested packages:
  binutils-doc bzip2-doc libarchive1 anacron logrotate checksecurity cdrskin mail-reader eximon4 exim4-doc-html exim4-doc-info spf-tools-perl swaks gawk-doc cdrkit-doc liblinux-sysinfo-perl libsys-cpu-perl libparted-dev libparted-i18n eject less
  mondo-doc floppyd spell parted-doc
Recommended packages:
  exim4 postfix mail-transport-agent mailx ntfsprogs
The following NEW packages will be installed:
  afio binutils bsd-mailx buffer bzip2 cpio cron dosfstools dvd+rw-tools exim4-base exim4-config exim4-daemon-light file gawk genisoimage growisofs init-system-helpers kmod libbsd0 libfribidi0 libio-interface-perl liblockfile-bin liblockfile1
  liblzo2-2 libmagic1 libmodule-scandeps-perl libmondorescue-perl libmpfr4 libnewt0.52 libparted2 libprojectbuilder-perl libsigsegv2 lzop mdadm mindi mindi-busybox module-init-tools mondo mtools nano parted psmisc syslinux syslinux-common wodim
The following packages will be upgraded:
  libbz2-1.0
1 upgraded, 45 newly installed, 0 to remove and 20 not upgraded.
Need to get 13.2 MB of archives.
After this operation, 49.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 ftp://ftp.mondorescue.org//debian/ 8/contrib afio amd64 2.5-1 [66.9 kB]
[...]
Setting up mtools (4.0.18-2) ...
Setting up syslinux (3:6.03+dfsg-5+deb8u2) ...
Setting up parted (3.2-7) ...
Setting up mindi-busybox (1.21.1-1) ...
Setting up mindi (3.0.2-1) ...
Setting up wodim (9:1.1.11-3) ...
Setting up mondo (3.2.2-1) ...
Setting up psmisc (22.21-2) ...
Setting up syslinux-common (3:6.03+dfsg-5+deb8u2) ...
Processing triggers for systemd (215-17+deb8u9) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Note: See TracTickets for help on using tickets.